---
title: Read All Policies
description: The GET /v2/policy-manager/policies operation returns a list of all policies. The request must provide either a branch ID or a snapshot ID in the request URL to specify where the policy should be read from.
component: pingauthorize
page_id: pingauthorize:pingauthorize:policy-editor/policy-manager/policies/read-all-policies
canonical_url: https://developer.pingidentity.com/pingauthorize/pingauthorize/policy-editor/policy-manager/policies/read-all-policies.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read All Policies

##

```none
GET {{apiPath}}/v2/policy-manager/policies?branch={{branchId}}
```

The `GET /v2/policy-manager/policies` operation returns a list of all policies. The request must provide either a branch ID or a snapshot ID in the request URL to specify where the policy should be read from.

### Prerequisites

* [Create a branch](../../version-control/snapshot-management/create-child-branch-from-snapshot.html) to get a branch ID.

* [Create a snapshot](../../version-control/branch-manager/create-snapshot.html) to get a snapshot ID.

> **Collapse: Query parameters**
>
> | Query parameter | Description                                                   |
> | --------------- | ------------------------------------------------------------- |
> | `branch`        | Branch ID or name                                             |
> | `snapshot`      | Snapshot ID                                                   |
> | `onlyShared`    | True to list shared policies only, False to list all policies |
> | `page`          | Page number of returned policies                              |
> | `page-size`     | Number of policies per page                                   |

### Headers

x-user-id      {{userId}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}' \
--header 'x-user-id: {{userId}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v2/policy-manager/policies?branch={{branchId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}")
  .method("GET", body)
  .addHeader("x-user-id", "{{userId}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}',
  'headers': {
    'x-user-id': '{{userId}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}"

payload = {}
headers = {
  'x-user-id': '{{userId}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v2/policy-manager/policies?branch={{branchId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "pagination": {
        "page": 1,
        "pageSize": 100,
        "totalItems": 2,
        "totalPages": 1
    },
    "data": [
        {
            "id": "e792b7ec-331d-422e-8aec-d5ff589889aa",
            "version": "6a7ff851-e479-4f7c-9a18-458ac198758d",
            "type": "Policy",
            "name": "Token Authorization",
            "description": "",
            "shared": false,
            "disabled": false,
            "combiningAlgorithm": {
                "algorithm": "DenyOverrides",
                "evaluateAll": false
            },
            "children": [
                {
                    "id": "5230e2e9-cf6a-4b38-88cd-c40ac56bb2d9",
                    "type": "Rule"
                }
            ],
            "repetitionSettings": null,
            "permissions": {
                "inherit": true,
                "rolePermissions": []
            },
            "targets": [
                "ba86bc60-6ae8-4e14-a4b7-ba6c5e3a463f"
            ],
            "statements": [
                "cde26a38-2035-4385-bbfe-159ee1822976"
            ],
            "properties": [],
            "condition": {
                "empty": {}
            }
        },
        {
            "id": "69d82f74-5561-4f91-b238-0f8bbac97532",
            "version": "5431ef48-4091-4202-99dd-cf928bded415",
            "type": "Policy",
            "name": "Token Validation",
            "description": "",
            "shared": false,
            "disabled": false,
            "combiningAlgorithm": {
                "algorithm": "PermitUnlessDeny"
            },
            "children": [
                {
                    "id": "f9604cb4-315d-47eb-9e76-4d8c7534bb41",
                    "type": "Rule"
                }
            ],
            "repetitionSettings": null,
            "permissions": {
                "inherit": true,
                "rolePermissions": []
            },
            "targets": [],
            "statements": [
                "cde26a38-2035-4385-bbfe-159ee1822976"
            ],
            "properties": [],
            "condition": {
                "empty": {}
            }
        }
    ]
}
```
